Subject: Re: bug#60859: [PATCH] Remove reference to the kbd function from documentation
From: Eli Zaretskii <[email-masked]>
To: Panagiotis Koutsourakis <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 21 Jan 2023 09:52:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Panagiotis Koutsourakis <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 17 Jan 2023 21:40:28 +0200
> 
> On Tue, Jan 17 2023, Eli Zaretskii wrote:
> 
> >
> > There's no need to generalize so much.  Let's handle this specific
> > issue, and then move on.
> >
> > For now, I don't want to remove references to 'kbd' from the manual,
> > because many people still use it.  So please accept that as the
> > baseline, and let's find the best way to describe the new APIs as
> > well.
> 
> Eli, I am not sure if you saw my earlier message with the second
> proposed patch taking into account your feedback from yesterday.
> Apologies for any confusion I caused.
> 
> Robert raised some valid points in his reply about it:
> 
> 1. it does not describe accurately the arguments accepted by the old API:
> lisp strings and vectors of input events are missing. I think that
> pointing the users to the reference manual is enough to remedy this.
> 
> 2. The syntax accepted by the new API and 'kbd' is not explicit. This
> is, I believe, a more serious issue. I don't think that the previous
> versions of the manual had an explicit description of it at this point,
> but since we are re-examining the section anyway, we should write a few
> words. I adapted the description Robert wrote in his e-mail (thank you
> Robert!).
> 
> I am attaching the patch with these changes.

Thanks, installed on the emacs-29 branch (with some changes), and
closing the bug.